Debian Bug report logs - #644697
tortoisehg-nautilus: Please transition to nautilus 3 and GObject introspection

version graph

Package: tortoisehg-nautilus; Maintainer for tortoisehg-nautilus is Ludovico Cavedon <cavedon@debian.org>; Source for tortoisehg-nautilus is src:tortoisehg.

Reported by: joss@debian.org

Date: Sat, 8 Oct 2011 09:52:44 UTC

Severity: serious

Tags: confirmed

Merged with 612574

Found in versions tortoisehg/1.1.8-1, tortoisehg/2.1.1-1

Fixed in version tortoisehg/2.1.4-1

Done: Ludovico Cavedon <cavedon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ludovico Cavedon <cavedon@debian.org>:
Bug#644697; Package tortoisehg-nautilus. (Sat, 08 Oct 2011 09:52:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to joss@debian.org:
New Bug report received and forwarded. Copy sent to Ludovico Cavedon <cavedon@debian.org>. (Sat, 08 Oct 2011 09:52:53 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: joss@debian.org
To: maintonly@bugs.debian.org
Subject: tortoisehg-nautilus: Please transition to nautilus 3 and GObject introspection
Date: Sat, 08 Oct 2011 11:46:43 +0200
Package: tortoisehg-nautilus
Version: 2.1.1-1
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: nautilus3-transition

Hi,

this package currently depends on python-nautilus - most likely because 
it provides an extension for the nautilus file manager.

The introduction of nautilus 3 to unstable is imminent. In this version, 
the extensions interface has changed, and tortoisehg-nautilus
requires changes to support this version:
 * porting to GTK+ 3
 * porting from PyGTK to the GObject Introspection mechanism

You might want to check if upstream developers provide a new version, 
compatible with nautilus 3.x. Otherwise, porting is a feasible task if 
you have a few hours to spare. If you feel like it, the following guides 
should help you:
 * http://live.gnome.org/PyGObject/IntrospectionPorting
 * http://developer.gnome.org/gtk3/stable/gtk-migrating-2-to-3.html

nautilus 3 packages are available from experimental. Please update and 
test your package against this version and ideally upload it to 
experimental, too.

Packages that remain unported will have to be removed from testing 
eventually.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Severity set to 'serious' from 'important' Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. (Thu, 13 Oct 2011 18:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#644697; Package tortoisehg-nautilus. (Thu, 13 Oct 2011 18:39:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovico Cavedon <cavedon@debian.org>. (Thu, 13 Oct 2011 18:39:58 GMT) Full text and rfc822 format available.

Message #12 received at 644697@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 644980@bugs.debian.org, 637312@bugs.debian.org, 637320@bugs.debian.org, 637329@bugs.debian.org, 637314@bugs.debian.org, 637318@bugs.debian.org, 637327@bugs.debian.org, 637321@bugs.debian.org, 644694@bugs.debian.org, 637323@bugs.debian.org, 637316@bugs.debian.org, 637324@bugs.debian.org, 644697@bugs.debian.org, 637309@bugs.debian.org, 644695@bugs.debian.org, 644979@bugs.debian.org, 637317@bugs.debian.org, 637311@bugs.debian.org, 644691@bugs.debian.org, 644692@bugs.debian.org, 644689@bugs.debian.org, 644696@bugs.debian.org, 637319@bugs.debian.org, 637328@bugs.debian.org, 637313@bugs.debian.org, 637325@bugs.debian.org, 644693@bugs.debian.org, 637310@bugs.debian.org, 637330@bugs.debian.org, 637322@bugs.debian.org, 644690@bugs.debian.org, 637315@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Nautilus transition started; please upload to unstable
Date: Thu, 13 Oct 2011 20:27:21 +0200
severity 644980 serious
severity 637312 serious
severity 637320 serious
severity 637329 serious
severity 637314 serious
severity 637318 serious
severity 637327 serious
severity 637321 serious
severity 644694 serious
severity 637323 serious
severity 637316 serious
severity 637324 serious
severity 644697 serious
severity 637309 serious
severity 644695 serious
severity 644979 serious
severity 637317 serious
severity 637311 serious
severity 644691 serious
severity 644692 serious
severity 644689 serious
severity 644696 serious
severity 637319 serious
severity 637328 serious
severity 637313 serious
severity 637325 serious
severity 644693 serious
severity 637310 serious
severity 637330 serious
severity 637322 serious
severity 644690 serious
severity 637315 serious
thanks

Hi!

The GNOME 3 transition has started, and fixing all nautilus extensions is
now release critical.

Please upload a GTK+3 version of your package to unstable as soon as
possible, or ask for help in debian-gtk-gnome@lists.debian.org if any
problem arises.

Thanks!

Jordi, on behalf of the GNOME team.
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#644697; Package tortoisehg-nautilus. (Sat, 29 Oct 2011 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <ludovico.cavedon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ludovico Cavedon <cavedon@debian.org>. (Sat, 29 Oct 2011 20:15:05 GMT) Full text and rfc822 format available.

Message #17 received at 644697@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <ludovico.cavedon@gmail.com>
To: 644697@bugs.debian.org, 612574@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#644697: tortoisehg-nautilus: Please transition to nautilus 3 and GObject introspection
Date: Sat, 29 Oct 2011 13:12:19 -0700
package tortoisehg-nautilus
forcemerge 644697 612574
tags 644697 + confirmed
thanks

On Sat, Oct 8, 2011 at 2:46 AM,  <joss@debian.org> wrote:
> The introduction of nautilus 3 to unstable is imminent. In this version,
> the extensions interface has changed, and tortoisehg-nautilus
> requires changes to support this version:
>  * porting to GTK+ 3
>  * porting from PyGTK to the GObject Introspection mechanism

Unfortunately upstream has no interest in porting the extension to gtk
3, so I am going to remove the tortoisehg nautilus extension.

Cheers,
Ludovico




Forcibly Merged 612574 644697. Request was from Ludovico Cavedon <ludovico.cavedon@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 20:15:07 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Ludovico Cavedon <ludovico.cavedon@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 20:15:08 GMT) Full text and rfc822 format available.

Reply sent to Ludovico Cavedon <cavedon@debian.org>:
You have taken responsibility. (Sat, 29 Oct 2011 23:03:12 GMT) Full text and rfc822 format available.

Notification sent to joss@debian.org:
Bug acknowledged by developer. (Sat, 29 Oct 2011 23:03:12 GMT) Full text and rfc822 format available.

Message #26 received at 644697-close@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <cavedon@debian.org>
To: 644697-close@bugs.debian.org
Subject: Bug#644697: fixed in tortoisehg 2.1.4-1
Date: Sat, 29 Oct 2011 23:02:44 +0000
Source: tortoisehg
Source-Version: 2.1.4-1

We believe that the bug you reported is fixed in the latest version of
tortoisehg, which is due to be installed in the Debian FTP archive:

tortoisehg_2.1.4-1.debian.tar.gz
  to main/t/tortoisehg/tortoisehg_2.1.4-1.debian.tar.gz
tortoisehg_2.1.4-1.dsc
  to main/t/tortoisehg/tortoisehg_2.1.4-1.dsc
tortoisehg_2.1.4-1_all.deb
  to main/t/tortoisehg/tortoisehg_2.1.4-1_all.deb
tortoisehg_2.1.4.orig.tar.gz
  to main/t/tortoisehg/tortoisehg_2.1.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644697@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovico Cavedon <cavedon@debian.org> (supplier of updated tortoisehg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 29 Oct 2011 15:17:58 -0700
Source: tortoisehg
Binary: tortoisehg
Architecture: source all
Version: 2.1.4-1
Distribution: unstable
Urgency: low
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Changed-By: Ludovico Cavedon <cavedon@debian.org>
Description: 
 tortoisehg - Graphical tool for working with Mercurial
Closes: 612574 644697
Changes: 
 tortoisehg (2.1.4-1) unstable; urgency=low
 .
   * New upstream release.
   * Drop Nautilus extension as it does not support Gtk 3 (Closes: #644697,
     #612574, LP: #859104).
   * No longer remove config.py, as it will be removed by unapplying patches.
   * Add NEWS file reporting removal of toirtoisehg-nautilus.
   * Use system underscore.js instead of a private copy.
Checksums-Sha1: 
 7361a6b13f83e95025e0f48d948517e8ab690cad 2002 tortoisehg_2.1.4-1.dsc
 f70378055c3dc21421024139b384446178be09ef 8949670 tortoisehg_2.1.4.orig.tar.gz
 a628796895ed283a6a3696ff63fb5a0f4f4810d3 9341 tortoisehg_2.1.4-1.debian.tar.gz
 3abaaeb14e52b605081f6e957ca7cb3826a12798 3842668 tortoisehg_2.1.4-1_all.deb
Checksums-Sha256: 
 32445b27d7c7d84fbdd8ffbf62689e8ef2468b05ff23e21c62e686d0e130c038 2002 tortoisehg_2.1.4-1.dsc
 ab76a54839c5177a687d2c33cfce690e15d8263119d581b9b368fb2fb1f898b5 8949670 tortoisehg_2.1.4.orig.tar.gz
 d339ff33343224ec7c483e796ea4284a741dfa0ea9980250b950aaf2338b903f 9341 tortoisehg_2.1.4-1.debian.tar.gz
 c3691765184da3cecfe4f99b4fcf8225b865d24d5c1ff152a38950ac13fb1362 3842668 tortoisehg_2.1.4-1_all.deb
Files: 
 993a17d755e5e2ef1ba2e9523c5b1936 2002 vcs optional tortoisehg_2.1.4-1.dsc
 a6b57b255129a9bc072f6cccbfd2fa3a 8949670 vcs optional tortoisehg_2.1.4.orig.tar.gz
 d64b2cea6ed0ea6a74da4ae0ecca129b 9341 vcs optional tortoisehg_2.1.4-1.debian.tar.gz
 f25a643e15b6f1af1f68ca838c6761df 3842668 vcs optional tortoisehg_2.1.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOrIPeAAoJEBPAtWZ6OLCwErYQAJEVilUI6Astt534na4y3RFX
ddMv6hSZGv+gK5mTwNQ19VpIJT9KouyzT4D9egltudiu2GCV1J6rUW4k5G1OUSxV
vJ5r0wDn3QAqt1Ah2R10DdkUO9mRS1dzX9un/rm1KuwlULSnT0AhLmhZ1Msg42tn
GAyICnMSIOb5zUAxG0P7TWSd8ZjJpcyQAZ3kGA6U2VCtxzwc+RsCywwO02A7gYbS
wAfjYkQvKooWSILLHledXqsHn5CcoYtu4Wj3q5voIgQkDouWPXZv3W2VmEa/ylHO
2CClGwt5C9tozt7rdi6Pp7HtAX9kJG6t7qdKKRHuIXqOScy7q+D07mKKTad1x8i9
Fyb7Xw/b/YYDkC5hKqpkq7uJTevvYWCh+Uuj4W8Tex+eBaQ9sM4YDR6J7gbmEWMi
3On/Ym3d1dV6uaPUVFtwOISys/DiXie45S+udC2oL4Pik8VoyASDRI1IVcp4iixY
e9dU6fBcpjnF2Kdevd+STSRWTW7jvgII/WQNkt+Xe066lgA8FuTMTCD+shadOHaK
lqXy03jdpm/64nI0IP3NMUYjINF5ZXbvmLMZ/wHYmGyUm5hOD/WZ2nFeR3+fD2k9
aN5F8QnPf3qBB5IP2l8s9AO6B713tR6xv6xwfG1jDKqgAAba2bbMZyK26VJT+viQ
wxwQD03PB+A9kZVIHlyB
=/Q51
-----END PGP SIGNATURE-----





Reply sent to Ludovico Cavedon <cavedon@debian.org>:
You have taken responsibility. (Sat, 29 Oct 2011 23:03:13 GMT) Full text and rfc822 format available.

Notification sent to Mateusz Kaduk <mateusz.kaduk@gmail.com>:
Bug acknowledged by developer. (Sat, 29 Oct 2011 23:03:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:49:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:51:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.